from api_graphql.abc.db_model_query_abc import DbModelQueryABC


class PermissionQuery(DbModelQueryABC):
    def __init__(self):
        DbModelQueryABC.__init__(self, "Permission")

        self.set_field("name", lambda x, *_: x.name)
        self.set_field("description", lambda x, *_: x.description)
